Index: /branches/version-2_5-dev/data/class/util/GC_Utils.php
===================================================================
--- /branches/version-2_5-dev/data/class/util/GC_Utils.php	(revision 20428)
+++ /branches/version-2_5-dev/data/class/util/GC_Utils.php	(revision 20484)
@@ -113,5 +113,5 @@
     function gfDebugLog($obj){
         if(DEBUG_MODE === true) {
-            GC_Utils::gfPrintLog("*** start Debug ***");
+            GC_Utils_Ex::gfPrintLog("*** start Debug ***");
             ob_start();
             print_r($obj);
@@ -121,7 +121,7 @@
             fwrite( $fp, $buffer."\n" );
             fclose( $fp );
-            GC_Utils::gfPrintLog("*** end Debug ***");
+            GC_Utils_Ex::gfPrintLog("*** end Debug ***");
             // ログテーション
-            GC_Utils::gfLogRotation(MAX_LOG_QUANTITY, MAX_LOG_SIZE, LOG_REALFILE);
+            GC_Utils_Ex::gfLogRotation(MAX_LOG_QUANTITY, MAX_LOG_SIZE, LOG_REALFILE);
 		}
     }
@@ -155,5 +155,5 @@
 
         // ログテーション
-        GC_Utils::gfLogRotation(MAX_LOG_QUANTITY, MAX_LOG_SIZE, $path);
+        GC_Utils_Ex::gfLogRotation(MAX_LOG_QUANTITY, MAX_LOG_SIZE, $path);
     }
 
Index: /branches/version-2_5-dev/data/class/util/SC_Utils.php
===================================================================
--- /branches/version-2_5-dev/data/class/util/SC_Utils.php	(revision 20480)
+++ /branches/version-2_5-dev/data/class/util/SC_Utils.php	(revision 20484)
@@ -81,5 +81,5 @@
             if( !ereg('/install/', $phpself) ) {
                 $path = substr($phpself, 0, strpos($phpself, basename($phpself)));
-                $install_url = SC_Utils::searchInstallerPath($path);
+                $install_url = SC_Utils_Ex::searchInstallerPath($path);
                 header('Location: ' . $install_url);
                 exit;
@@ -88,5 +88,5 @@
         $path = HTML_REALDIR . 'install/' . DIR_INDEX_FILE;
         if(file_exists($path)) {
-            SC_Utils::sfErrorHeader('&gt;&gt; /install/' . DIR_INDEX_FILE . ' は、インストール完了後にファイルを削除してください。');
+            SC_Utils_Ex::sfErrorHeader('&gt;&gt; /install/' . DIR_INDEX_FILE . ' は、インストール完了後にファイルを削除してください。');
         }
     }
@@ -106,5 +106,5 @@
         $installer = 'install/' . DIR_INDEX_PATH;
 
-        if (SC_Utils::sfIsHTTPS()) {
+        if (SC_Utils_Ex::sfIsHTTPS()) {
             $proto = "https://";
         } else {
@@ -119,7 +119,7 @@
         }
         $installer_url = $host . $path . $installer;
-        $resources = fopen(SC_Utils::getRealURL($installer_url), 'r');
+        $resources = fopen(SC_Utils_Ex::getRealURL($installer_url), 'r');
         if ($resources === false) {
-            $installer_url = SC_Utils::searchInstallerPath($path . '../');
+            $installer_url = SC_Utils_Ex::searchInstallerPath($path . '../');
         }
         return $installer_url;
@@ -229,5 +229,5 @@
             if($disp_error) {
                 // エラーページの表示
-                SC_Utils::sfDispError($ret);
+                SC_Utils_Ex::sfDispError($ret);
             }
             return false;
@@ -240,5 +240,5 @@
             // sfErrorHeader('>> referrerが無効になっています。');
         } else {
-            $domain  = SC_Utils::sfIsHTTPS() ? HTTPS_URL : HTTP_URL;
+            $domain  = SC_Utils_Ex::sfIsHTTPS() ? HTTPS_URL : HTTP_URL;
             $pattern = sprintf('|^%s.*|', $domain);
             $referer = $_SERVER['HTTP_REFERER'];
@@ -246,5 +246,5 @@
             // 管理画面から以外の遷移の場合はエラー画面を表示
             if (!preg_match($pattern, $referer)) {
-                if ($disp_error) SC_Utils::sfDispError(INVALID_MOVE_ERRORR);
+                if ($disp_error) SC_Utils_Ex::sfDispError(INVALID_MOVE_ERRORR);
                 return false;
             }
@@ -347,5 +347,5 @@
 
         if($prefix == "") {
-            $dir_name = SC_Utils::sfUpDirName();
+            $dir_name = SC_Utils_Ex::sfUpDirName();
             $file_name = $dir_name . date("ymdHis") .".csv";
         } else {
@@ -369,5 +369,5 @@
     function sfGetCSVData($data, $prefix = ""){
         if($prefix == "") {
-            $dir_name = SC_Utils::sfUpDirName();
+            $dir_name = SC_Utils_Ex::sfUpDirName();
             $file_name = $dir_name . date("ymdHis") .".csv";
         } else {
@@ -551,5 +551,5 @@
         for($cnt = 0; $cnt < $max; $cnt++) {
             if($keysize != "") {
-                $key = SC_Utils::sfCutString($arrList[$cnt][$keyname], $keysize);
+                $key = SC_Utils_Ex::sfCutString($arrList[$cnt][$keyname], $keysize);
             } else {
                 $key = $arrList[$cnt][$keyname];
@@ -576,5 +576,5 @@
         for($cnt = 0; $cnt < $max; $cnt++) {
             if($keysize != "") {
-                $key = SC_Utils::sfCutString($arrList[$cnt][$keyname], $keysize);
+                $key = SC_Utils_Ex::sfCutString($arrList[$cnt][$keyname], $keysize);
             } else {
                 $key = $arrList[$cnt][$keyname];
@@ -779,5 +779,5 @@
 
         // 整数且つ0出なければ桁数指定を行う
-        if(SC_Utils::sfIsInt($adjust) and $pow > 1){
+        if(SC_Utils_Ex::sfIsInt($adjust) and $pow > 1){
             $ret = (round($value * $adjust)/$adjust);
         }
@@ -822,5 +822,5 @@
         $arrList = $objQuery->getAll($sql);
         // キーと値をセットした配列を取得
-        $arrRet = SC_Utils::sfArrKeyValue($arrList, 'class_id', 'count');
+        $arrRet = SC_Utils_Ex::sfArrKeyValue($arrList, 'class_id', 'count');
 
         return $arrRet;
@@ -1011,5 +1011,5 @@
         // ファイルが開けなかった場合はエラーページを表示
           else {
-              SC_Utils::sfDispError('');
+              SC_Utils_Ex::sfDispError('');
               exit;
         }
@@ -1119,5 +1119,5 @@
                 }
                 if(is_array($val)) {
-                    $arrDst = SC_Utils::sfMakeHiddenArray($val, $arrDst, $keyname);
+                    $arrDst = SC_Utils_Ex::sfMakeHiddenArray($val, $arrDst, $keyname);
                 } else {
                     $arrDst[$keyname] = $val;
@@ -1241,12 +1241,12 @@
                 if(!file_exists($dir)) {
                     mkdir($dir);
-                    GC_Utils::gfPrintLog("mkdir $dir");
+                    GC_Utils_Ex::gfPrintLog("mkdir $dir");
                 }
             } else {
-                SC_Utils::sfMakeDir($dir);
+                SC_Utils_Ex::sfMakeDir($dir);
                 if(is_writable(dirname($dir))) {
                     if(!file_exists($dir)) {
                         mkdir($dir);
-                        GC_Utils::gfPrintLog("mkdir $dir");
+                        GC_Utils_Ex::gfPrintLog("mkdir $dir");
                     }
                 }
@@ -1289,5 +1289,5 @@
                 $data=$matches[2];
                 if( is_dir( $data_ ) ){
-                    $mess = SC_Utils::sfCopyDir( $data_.'/', $des.$data.'/', $mess);
+                    $mess = SC_Utils_Ex::sfCopyDir( $data_.'/', $des.$data.'/', $mess);
                 }else{
                     if(!$override && file_exists($des.$data)) {
@@ -1319,5 +1319,5 @@
                     $ret = unlink($dir . "/" . $file);
                 }else if (is_dir($del_file)){
-                    $ret = SC_Utils::sfDelFile($del_file);
+                    $ret = SC_Utils_Ex::sfDelFile($del_file);
                 }
 
@@ -1531,6 +1531,6 @@
                         $path = $dir."/".$file;
                         // SELECT内の見た目を整えるため指定文字数で切る
-                        $file_name = SC_Utils::sfCutString($file, FILE_NAME_LEN);
-                        $file_size = SC_Utils::sfCutString(SC_Utils::sfGetDirSize($path), FILE_NAME_LEN);
+                        $file_name = SC_Utils_Ex::sfCutString($file, FILE_NAME_LEN);
+                        $file_size = SC_Utils_Ex::sfCutString(SC_Utils_Ex::sfGetDirSize($path), FILE_NAME_LEN);
                         $file_time = date("Y/m/d", filemtime($path));
 
@@ -1578,5 +1578,5 @@
                     } else if (is_dir($path) && $file != '..' && $file != '.') {
                         // 下層ファイルのバイト数を取得する為、再帰的に呼び出す。
-                        $bytes += SC_Utils::sfGetDirSize($path);
+                        $bytes += SC_Utils_Ex::sfGetDirSize($path);
                     }
                 }
@@ -2197,5 +2197,5 @@
                      * 自クラスへ再帰する.
                      */
-                    if (!SC_Utils::isBlank($in, $greedy)) {
+                    if (!SC_Utils_Ex::isBlank($in, $greedy)) {
                         return false;
                     }
@@ -2314,5 +2314,5 @@
         } else {
             require_once(dirname(__FILE__) . '/../../module/Services/JSON.php');
-            GC_Utils::gfPrintLog(' *use Services_JSON::encode(). faster than using the json_encode!');
+            GC_Utils_Ex::gfPrintLog(' *use Services_JSON::encode(). faster than using the json_encode!');
             $objJson = new Services_JSON();
             return $objJson->encode($value);
@@ -2337,5 +2337,5 @@
         } else {
             require_once(dirname(__FILE__) . '/../../module/Services/JSON.php');
-            GC_Utils::gfPrintLog(' *use Services_JSON::decode(). faster than using the json_decode!');
+            GC_Utils_Ex::gfPrintLog(' *use Services_JSON::decode(). faster than using the json_decode!');
             $objJson = new Services_JSON();
             return $objJson->decode($json);
Index: /branches/version-2_5-dev/data/class/helper/SC_Helper_FileManager.php
===================================================================
--- /branches/version-2_5-dev/data/class/helper/SC_Helper_FileManager.php	(revision 20428)
+++ /branches/version-2_5-dev/data/class/helper/SC_Helper_FileManager.php	(revision 20484)
@@ -367,10 +367,10 @@
 		
 	    // ファイル一覧取得
-	    $arrFileHash = SC_Utils::sfGetFileList($dir);
+	    $arrFileHash = SC_Utils_Ex::sfGetFileList($dir);
 	    foreach($arrFileHash as $val) {
 	        $arrFileList[] = $val['file_name'];
 	        $debug_message.= "圧縮：".$val['file_name']."\n";
 	    }
-	    GC_Utils::gfDebugLog($debug_message);	    
+	    GC_Utils_Ex::gfDebugLog($debug_message);	    
 	    
 	    // ディレクトリを移動
@@ -410,5 +410,5 @@
         
         // フォルダ削除
-        SC_Utils::sfDelFile($dir . "/" . $unpacking_name);
+        SC_Utils_Ex::sfDelFile($dir . "/" . $unpacking_name);
         // 圧縮ファイル削除
         unlink($path);
Index: /branches/version-2_5-dev/data/class/helper/SC_Helper_PageLayout.php
===================================================================
--- /branches/version-2_5-dev/data/class/helper/SC_Helper_PageLayout.php	(revision 20462)
+++ /branches/version-2_5-dev/data/class/helper/SC_Helper_PageLayout.php	(revision 20484)
@@ -145,5 +145,5 @@
                         $arrRet[] = $arrNavi[$key];
                     } else {
-                        GC_Utils::gfPrintLog("ブロック読み込みエラー：" . $arrNavi[$key]['tpl_path']);
+                        GC_Utils_Ex::gfPrintLog("ブロック読み込みエラー：" . $arrNavi[$key]['tpl_path']);
                     }
                 }
Index: /branches/version-2_5-dev/data/class/helper/SC_Helper_Purchase.php
===================================================================
--- /branches/version-2_5-dev/data/class/helper/SC_Helper_Purchase.php	(revision 20448)
+++ /branches/version-2_5-dev/data/class/helper/SC_Helper_Purchase.php	(revision 20484)
@@ -63,5 +63,5 @@
         $objQuery->begin();
         if (!$objSiteSession->isPrePage()) {
-            SC_Utils::sfDispSiteError(PAGE_ERROR, $objSiteSession);
+            SC_Utils_Ex::sfDispSiteError(PAGE_ERROR, $objSiteSession);
         }
 
Index: /branches/version-2_5-dev/data/class/helper/SC_Helper_CSV.php
===================================================================
--- /branches/version-2_5-dev/data/class/helper/SC_Helper_CSV.php	(revision 20318)
+++ /branches/version-2_5-dev/data/class/helper/SC_Helper_CSV.php	(revision 20484)
@@ -463,5 +463,5 @@
 
         if($prefix == "") {
-            $dir_name = SC_Utils::sfUpDirName();
+            $dir_name = SC_Utils_Ex::sfUpDirName();
             $file_name = $dir_name . date("ymdHis") .".csv";
         } else {
@@ -506,5 +506,5 @@
 
         if($prefix == "") {
-            $dir_name = SC_Utils::sfUpDirName();
+            $dir_name = SC_Utils_Ex::sfUpDirName();
             $file_name = $dir_name . date("ymdHis") .".csv";
         } else {
Index: /branches/version-2_5-dev/data/class/helper/SC_Helper_Plugin.php
===================================================================
--- /branches/version-2_5-dev/data/class/helper/SC_Helper_Plugin.php	(revision 20116)
+++ /branches/version-2_5-dev/data/class/helper/SC_Helper_Plugin.php	(revision 20484)
@@ -63,5 +63,5 @@
     function preProcess(&$lcpage){
         //プラグインの名前を判別してページ内で有効なプラグインがあれば実行する
-        $arrPluginList = SC_Helper_Plugin::load($lcpage);
+        $arrPluginList = SC_Helper_Plugin_Ex::load($lcpage);
        if(count($arrPluginList) > 0){
             foreach ($arrPluginList as $key => $value){
@@ -78,5 +78,5 @@
     function process(&$lcpage){
         //プラグインの名前を判別してページ内で有効なプラグインがあれば実行する
-        $arrPluginList = SC_Helper_Plugin::load($lcpage);
+        $arrPluginList = SC_Helper_Plugin_Ex::load($lcpage);
         if(count($arrPluginList) > 0){
             foreach ($arrPluginList as $key => $value){
Index: /branches/version-2_5-dev/data/class/helper/SC_Helper_Customer.php
===================================================================
--- /branches/version-2_5-dev/data/class/helper/SC_Helper_Customer.php	(revision 20482)
+++ /branches/version-2_5-dev/data/class/helper/SC_Helper_Customer.php	(revision 20484)
@@ -310,5 +310,5 @@
         SC_Helper_Customer_Ex::sfCustomerCommonParam($objFormParam);
         SC_Helper_Customer_Ex::sfCustomerRegisterParam($objFormParam);
-        if (SC_Display::detectDevice() !== DEVICE_TYPE_MOBILE){
+        if (SC_Display_Ex::detectDevice() !== DEVICE_TYPE_MOBILE){
             $objFormParam->addParam('携帯メールアドレス', "email_mobile", MTEXT_LEN, "a", array("NO_SPTAB", "EMAIL_CHECK", "SPTAB_CHECK" ,"EMAIL_CHAR_CHECK", "MAX_LENGTH_CHECK"));
             $objFormParam->addParam('携帯メールアドレス(確認)', "email_mobile02", MTEXT_LEN, "a", array("NO_SPTAB", "EMAIL_CHECK","SPTAB_CHECK" , "EMAIL_CHAR_CHECK", "MAX_LENGTH_CHECK"), "", false);
@@ -370,5 +370,5 @@
         $objFormParam->addParam("メールマガジン", "mailmaga_flg", INT_LEN, "n", array("EXIST_CHECK", "NUM_CHECK", "MAX_LENGTH_CHECK"));
 
-        if (SC_Display::detectDevice() !== DEVICE_TYPE_MOBILE){
+        if (SC_Display_Ex::detectDevice() !== DEVICE_TYPE_MOBILE){
             $objFormParam->addParam("FAX番号1", 'fax01', TEL_ITEM_LEN, "n", array("SPTAB_CHECK"));
             $objFormParam->addParam("FAX番号2", 'fax02', TEL_ITEM_LEN, "n", array("SPTAB_CHECK"));
@@ -472,5 +472,5 @@
         $objErr->doFunc(array("生年月日", "year", "month", "day"), array("CHECK_BIRTHDAY"));
 
-        if (SC_Display::detectDevice() !== DEVICE_TYPE_MOBILE){
+        if (SC_Display_Ex::detectDevice() !== DEVICE_TYPE_MOBILE){
             if(!$isAdmin) {
                 $objErr->doFunc(array('パスワード', 'パスワード(確認)', "password", "password02") ,array("EQUAL_CHECK"));
@@ -572,5 +572,5 @@
             $objErr->arrErr["search_buy_times_from"] .= "※ 購入回数の指定範囲が不正です。";
         }
-        if(!SC_Utils::isBlank($objErr->arrErr)) {
+        if(!SC_Utils_Ex::isBlank($objErr->arrErr)) {
             $arrErr = array_merge($arrErr, $objErr->arrErr);
         }
Index: /branches/version-2_5-dev/data/class/batch/SC_Batch_Update.php
===================================================================
--- /branches/version-2_5-dev/data/class/batch/SC_Batch_Update.php	(revision 20116)
+++ /branches/version-2_5-dev/data/class/batch/SC_Batch_Update.php	(revision 20484)
@@ -252,5 +252,5 @@
 
     function printLog($msg) {
-        GC_Utils::gfPrintLog($msg, DATA_REALDIR . 'logs/ownersstore_batch_update.log');
+        GC_Utils_Ex::gfPrintLog($msg, DATA_REALDIR . 'logs/ownersstore_batch_update.log');
     }
 }
Index: /branches/version-2_5-dev/data/class/module/SC_Module.php
===================================================================
--- /branches/version-2_5-dev/data/class/module/SC_Module.php	(revision 19805)
+++ /branches/version-2_5-dev/data/class/module/SC_Module.php	(revision 20484)
@@ -252,8 +252,8 @@
     function log($msg, $data = null, $suffix = '') {
         $path = DATA_REALDIR . 'logs/' . $this->getCode() . "$suffix.log";
-        GC_Utils::gfPrintLog($msg, $path);
+        GC_Utils_Ex::gfPrintLog($msg, $path);
 
         if (!is_null($data)) {
-            GC_Utils::gfPrintLog(print_r($data, true), $path);
+            GC_Utils_Ex::gfPrintLog(print_r($data, true), $path);
         }
     }
Index: /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_AbstractMypage.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_AbstractMypage.php	(revision 20344)
+++ /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_AbstractMypage.php	(revision 20484)
@@ -77,5 +77,5 @@
 
             // 携帯端末IDが一致する会員が存在するかどうかをチェックする。
-            if (SC_Display::detectDevice() === DEVICE_TYPE_MOBILE){
+            if (SC_Display_Ex::detectDevice() === DEVICE_TYPE_MOBILE){
                 $this->tpl_valid_phone_id = $objCustomer->checkMobilePhoneId();
             }
Index: /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_RefusalComplete.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_RefusalComplete.php	(revision 20344)
+++ /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_RefusalComplete.php	(revision 20484)
@@ -46,5 +46,5 @@
         $this->tpl_title    = 'MYページ';
 
-        if (SC_Display::detectDevice() === DEVICE_TYPE_MOBILE){
+        if (SC_Display_Ex::detectDevice() === DEVICE_TYPE_MOBILE){
             $this->tpl_title .= '/退会手続き(完了ページ)';
         } else {
Index: /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_MailView.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_MailView.php	(revision 20162)
+++ /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_MailView.php	(revision 20484)
@@ -76,5 +76,5 @@
         $this->tpl_body     = $arrMailView[0]['mail_body'];
 
-        if (SC_Display::detectDevice() === DEVICE_TYPE_PC){
+        if (SC_Display_Ex::detectDevice() === DEVICE_TYPE_PC){
             $this->setTemplate('mypage/mail_view.tpl');
         } else {
Index: /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_DeliveryAddr.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_DeliveryAddr.php	(revision 20344)
+++ /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_DeliveryAddr.php	(revision 20484)
@@ -121,5 +121,5 @@
                     }
 
-                    if(SC_Display::detectDevice() === DEVICE_TYPE_MOBILE) {
+                    if(SC_Display_Ex::detectDevice() === DEVICE_TYPE_MOBILE) {
                         // モバイルの場合、元のページに遷移
                         SC_Response_Ex::sendRedirect($this->getLocation($_POST['ParentPage']));
@@ -148,5 +148,5 @@
         }
 
-        if (SC_Display::detectDevice() === DEVICE_TYPE_MOBILE) {
+        if (SC_Display_Ex::detectDevice() === DEVICE_TYPE_MOBILE) {
             $this->tpl_mainpage = 'mypage/delivery_addr.tpl';
         } else {
Index: /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage.php	(revision 20162)
+++ /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage.php	(revision 20484)
@@ -50,5 +50,5 @@
         parent::init();
         $this->tpl_mypageno = 'index';
-        if (SC_Display::detectDevice() === DEVICE_TYPE_MOBILE){
+        if (SC_Display_Ex::detectDevice() === DEVICE_TYPE_MOBILE){
             $this->tpl_subtitle = 'MYページ';
         } else {
@@ -84,5 +84,5 @@
                                          NAVI_PMAX,
                                          'pageno=#page#',
-                                         SC_Display::detectDevice() !== DEVICE_TYPE_MOBILE);
+                                         SC_Display_Ex::detectDevice() !== DEVICE_TYPE_MOBILE);
 
         $this->arrOrder = $this->lfGetOrderHistory($customer_id, $this->objNavi->start_row);
Index: /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Payment.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Payment.php	(revision 20448)
+++ /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Payment.php	(revision 20484)
@@ -142,5 +142,5 @@
             }
 
-            if (SC_Display::detectDevice() != DEVICE_TYPE_MOBILE) {
+            if (SC_Display_Ex::detectDevice() != DEVICE_TYPE_MOBILE) {
                 echo SC_Utils_Ex::jsonEncode($arrSelectedDeliv);
                 exit;
@@ -210,5 +210,5 @@
 
         // モバイル用 ポストバック処理
-        if (SC_Display::detectDevice() == DEVICE_TYPE_MOBILE) {
+        if (SC_Display_Ex::detectDevice() == DEVICE_TYPE_MOBILE) {
             $this->tpl_mainpage = $this->getMobileMainpage($this->is_single_deliv, $this->getMode());
         }
Index: /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping.php	(revision 20477)
+++ /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping.php	(revision 20484)
@@ -123,5 +123,5 @@
 
                 // モバイルサイトで携帯アドレスの登録が無い場合、携帯アドレス登録ページへ遷移
-                if(SC_Display::detectDevice() == DEVICE_TYPE_MOBILE) {
+                if(SC_Display_Ex::detectDevice() == DEVICE_TYPE_MOBILE) {
                     if($this->hasEmailMobile($objCustomer) == false) {
                         SC_Response_Ex::sendRedirectFromUrlPath('entry/email_mobile.php');
@@ -223,5 +223,5 @@
 
         // 携帯端末IDが一致する会員が存在するかどうかをチェックする。
-        if (SC_Display::detectDevice() === DEVICE_TYPE_MOBILE) {
+        if (SC_Display_Ex::detectDevice() === DEVICE_TYPE_MOBILE) {
             $this->tpl_valid_phone_id = $objCustomer->checkMobilePhoneId();
         }
@@ -467,5 +467,5 @@
      */
     function doLogin(&$objCustomer, $login_email, $login_pass) {
-        switch (SC_Display::detectDevice()) {
+        switch (SC_Display_Ex::detectDevice()) {
         case DEVICE_TYPE_MOBILE:
             if(!$objCustomer->getCustomerDataFromMobilePhoneIdPass($login_pass) &&
Index: /branches/version-2_5-dev/data/class/pages/upgrade/helper/LC_Upgrade_Helper_Log.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/upgrade/helper/LC_Upgrade_Helper_Log.php	(revision 19805)
+++ /branches/version-2_5-dev/data/class/pages/upgrade/helper/LC_Upgrade_Helper_Log.php	(revision 20484)
@@ -51,5 +51,5 @@
      */
     function log($message) {
-        GC_Utils::gfPrintLog($message, OSTORE_LOG_REALFILE);
+        GC_Utils_Ex::gfPrintLog($message, OSTORE_LOG_REALFILE);
     }
     /**
Index: /branches/version-2_5-dev/data/class/pages/admin/LC_Page_Admin.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/LC_Page_Admin.php	(revision 20344)
+++ /branches/version-2_5-dev/data/class/pages/admin/LC_Page_Admin.php	(revision 20484)
@@ -49,5 +49,5 @@
         if(count($allow_hosts) > 0){
             if(array_search($_SERVER["REMOTE_ADDR"],$allow_hosts) === FALSE){
-                SC_Response::sendHttpStatus(403);
+                SC_Response_Ex::sendHttpStatus(403);
                 exit;
             }
@@ -57,5 +57,5 @@
         if(ADMIN_FORCE_SSL == TRUE){
             if(empty($_SERVER['HTTPS']) AND $_SERVER['SERVER_PORT'] != 443){
-                SC_Response::sendRedirect($SERVER["REQUEST_URI"], $_GET,FALSE, TRUE);
+                SC_Response_Ex::sendRedirect($SERVER["REQUEST_URI"], $_GET,FALSE, TRUE);
             }
         }
Index: /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design_CSS.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design_CSS.php	(revision 20345)
+++ /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design_CSS.php	(revision 20484)
@@ -120,5 +120,5 @@
                 break;
             default:
-                GC_Utils::gfPrintLog("MODEエラー：".$this->getMode());
+                GC_Utils_Ex::gfPrintLog("MODEエラー：".$this->getMode());
                 break;
         }
Index: /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design_Template.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design_Template.php	(revision 20428)
+++ /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design_Template.php	(revision 20484)
@@ -121,5 +121,5 @@
             $objForm = $this->lfInitDelete();
             if ($objForm->checkError()) {
-                SC_Utils::sfDispError('');
+                SC_Utils_Ex::sfDispError('');
             }
 
@@ -142,7 +142,7 @@
             $from_dir = USER_TEMPLATE_REALDIR . $template_code . "/";
             $to_dir = SMARTY_TEMPLATES_REALDIR . $template_code . "/_packages/";
-            SC_Utils::sfMakeDir($to_dir);
-            SC_Utils::sfCopyDir($from_dir, $to_dir);
-            SC_Helper_FileManager::downloadArchiveFiles(SMARTY_TEMPLATES_REALDIR . $template_code);
+            SC_Utils_Ex::sfMakeDir($to_dir);
+            SC_Utils_Ex::sfCopyDir($from_dir, $to_dir);
+            SC_Helper_FileManager_Ex::downloadArchiveFiles(SMARTY_TEMPLATES_REALDIR . $template_code);
             break;
 
Index: /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design_Up_Down.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design_Up_Down.php	(revision 20413)
+++ /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design_Up_Down.php	(revision 20484)
@@ -235,10 +235,10 @@
 
         // 解凍
-        SC_Helper_FileManager::unpackFile($template_dir . "/" . $_FILES['template_file']['name']);
+        SC_Helper_FileManager_Ex::unpackFile($template_dir . "/" . $_FILES['template_file']['name']);
         // ユーザデータの下のファイルをコピーする
         $from_dir = SMARTY_TEMPLATES_REALDIR . $template_code . "/_packages/";
         $to_dir = USER_REALDIR . "packages/" . $template_code . "/";
-        SC_Utils::sfMakeDir($to_dir);
-        SC_Utils::sfCopyDir($from_dir, $to_dir);
+        SC_Utils_Ex::sfMakeDir($to_dir);
+        SC_Utils_Ex::sfCopyDir($from_dir, $to_dir);
 
         // DBにテンプレート情報を保存
Index: /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design_Bloc.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design_Bloc.php	(revision 20454)
+++ /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design_Bloc.php	(revision 20484)
@@ -116,5 +116,5 @@
             $prev_path = USER_INC_REALDIR . 'preview/bloc_preview.tpl';
             // ディレクトリの作成
-            SC_Utils::sfMakeDir($prev_path);
+            SC_Utils_Ex::sfMakeDir($prev_path);
             $res = file_put_contents($prev_path, $_POST['bloc_html']);
             if ($res === false) {
@@ -148,5 +148,5 @@
                 $new_bloc_path = $package_path . $_POST['filename'] . ".tpl";
                 // ディレクトリの作成
-                SC_Utils::sfMakeDir($new_bloc_path);
+                SC_Utils_Ex::sfMakeDir($new_bloc_path);
                 $res = file_put_contents($new_bloc_path, $_POST['bloc_html']);
                 if ($res === false) {
@@ -202,5 +202,5 @@
             break;
         default:
-            GC_Utils::gfPrintLog("MODEエラー：".$this->getMode());
+            GC_Utils_Ex::gfPrintLog("MODEエラー：".$this->getMode());
             break;
         }
Index: /branches/version-2_5-dev/data/class/pages/admin/ownersstore/LC_Page_Admin_OwnersStore_Log.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/ownersstore/LC_Page_Admin_OwnersStore_Log.php	(revision 20345)
+++ /branches/version-2_5-dev/data/class/pages/admin/ownersstore/LC_Page_Admin_OwnersStore_Log.php	(revision 20484)
@@ -71,9 +71,9 @@
             $objForm = $this->initParam();
             if ($objForm->checkError()) {
-                SC_Utils::sfDispError('');
+                SC_Utils_Ex::sfDispError('');
             }
             $this->arrLogDetail = $this->getLogDetail($objForm->getValue('log_id'));
             if (count($this->arrLogDetail) == 0) {
-                SC_Utils::sfDispError('');
+                SC_Utils_Ex::sfDispError('');
             }
             $this->tpl_mainpage = 'ownersstore/log_detail.tpl';
Index: /branches/version-2_5-dev/data/class/pages/admin/order/LC_Page_Admin_Order.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/order/LC_Page_Admin_Order.php	(revision 20380)
+++ /branches/version-2_5-dev/data/class/pages/admin/order/LC_Page_Admin_Order.php	(revision 20484)
@@ -267,5 +267,5 @@
      */
     function buildQuery($key, &$where, &$arrValues, &$objFormParam) {
-        $dbFactory = SC_DB_DBFactory::getInstance();
+        $dbFactory = SC_DB_DBFactory_Ex::getInstance();
         switch ($key) {
 
Index: /branches/version-2_5-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Edit.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Edit.php	(revision 20442)
+++ /branches/version-2_5-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Edit.php	(revision 20484)
@@ -202,5 +202,5 @@
         $this->arrDelivTime = $objPurchase->getDelivTime($objFormParam->getValue('deliv_id'));
         $this->tpl_onload .= $this->getAnchorKey($objFormParam);
-        $this->arrInfo = SC_Helper_DB::sfGetBasisData();
+        $this->arrInfo = SC_Helper_DB_Ex::sfGetBasisData();
     }
 
Index: /branches/version-2_5-dev/data/class/pages/admin/LC_Page_Admin_Home.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/LC_Page_Admin_Home.php	(revision 20435)
+++ /branches/version-2_5-dev/data/class/pages/admin/LC_Page_Admin_Home.php	(revision 20484)
@@ -158,5 +158,5 @@
         
         // TODO: DBFactory使わないでも共通化できそうな気もしますが
-        $dbFactory = SC_DB_DBFactory::getInstance();
+        $dbFactory = SC_DB_DBFactory_Ex::getInstance();
         $sql = $dbFactory->getOrderYesterdaySql($method);
         return $objQuery->getOne($sql);
@@ -174,5 +174,5 @@
         
         // TODO: DBFactory使わないでも共通化できそうな気もしますが
-        $dbFactory = SC_DB_DBFactory::getInstance();
+        $dbFactory = SC_DB_DBFactory_Ex::getInstance();
         $sql = $dbFactory->getOrderMonthSql($method);
         return $objQuery->getOne($sql, array($month));
@@ -202,5 +202,5 @@
 
         // TODO: DBFactory使わないでも共通化できそうな気もしますが
-        $dbFactory = SC_DB_DBFactory::getInstance();
+        $dbFactory = SC_DB_DBFactory_Ex::getInstance();
         $sql = $dbFactory->getReviewYesterdaySql();
         return $objQuery->getOne($sql);
Index: /branches/version-2_5-dev/data/class/pages/admin/customer/LC_Page_Admin_Customer_Edit.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/customer/LC_Page_Admin_Customer_Edit.php	(revision 20345)
+++ /branches/version-2_5-dev/data/class/pages/admin/customer/LC_Page_Admin_Customer_Edit.php	(revision 20484)
@@ -103,5 +103,5 @@
             }
             //指定顧客の情報をセット
-            $this->arrForm = SC_Helper_Customer::sfGetCustomerData($objFormSearchParam->getValue("edit_customer_id"), true);
+            $this->arrForm = SC_Helper_Customer_Ex::sfGetCustomerData($objFormSearchParam->getValue("edit_customer_id"), true);
             //購入履歴情報の取得
             list($this->tpl_linemax, $this->arrPurchaseHistory, $this->objNavi) = $this->lfPurchaseHistory($objFormSearchParam->getValue("edit_customer_id"));
Index: /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products.php	(revision 20380)
+++ /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products.php	(revision 20484)
@@ -275,5 +275,5 @@
      */
     function buildQuery($key, &$where, &$arrValues, &$objFormParam, &$objDb) {
-        $dbFactory = SC_DB_DBFactory::getInstance();
+        $dbFactory = SC_DB_DBFactory_Ex::getInstance();
         switch ($key) {
         // 商品ID
Index: /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Product.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Product.php	(revision 20422)
+++ /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Product.php	(revision 20484)
@@ -545,5 +545,5 @@
 
         // 基本情報(デフォルトポイントレート用)
-        $arrForm['arrInfo'] = SC_Helper_DB::sfGetBasisData();
+        $arrForm['arrInfo'] = SC_Helper_DB_Ex::sfGetBasisData();
 
         // サブ情報ありなしフラグ
@@ -801,5 +801,5 @@
         // 規格が登録されていなければ規格ID取得
         if ($arrProduct[0]['has_product_class'] == false) {
-            $arrProduct[0]['product_class_id'] = SC_Utils::sfGetProductClassId($product_id,"0","0");
+            $arrProduct[0]['product_class_id'] = SC_Utils_Ex::sfGetProductClassId($product_id,"0","0");
         }
 
Index: /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products_ClassCategory.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products_ClassCategory.php	(revision 20345)
+++ /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products_ClassCategory.php	(revision 20484)
@@ -94,5 +94,5 @@
                 }
                 // 再表示
-                SC_Response::reload();
+                SC_Response_Ex::reload();
             }
             break;
@@ -101,5 +101,5 @@
             // ランク付きレコードの削除
             $this->lfDeleteClassCat($class_id, $classcategory_id);
-            SC_Response::reload();
+            SC_Response_Ex::reload();
             break;
             // 編集前処理
@@ -113,10 +113,10 @@
             //並び順を下げる
             $this->lfDownRank($class_id, $classcategory_id);
-            SC_Response::reload();
+            SC_Response_Ex::reload();
             break;
         case 'up':
             //並び順を上げる
             $this->lfUpRank($class_id, $classcategory_id);
-            SC_Response::reload();
+            SC_Response_Ex::reload();
             break;
         default:
Index: /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Class.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Class.php	(revision 20345)
+++ /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Class.php	(revision 20484)
@@ -91,5 +91,5 @@
                 }
                 // 再表示
-                SC_Response::reload();
+                SC_Response_Ex::reload();
             }
             break;
@@ -99,5 +99,5 @@
             $this->lfDeleteClass($class_id);
             // 再表示
-            SC_Response::reload();
+            SC_Response_Ex::reload();
             break;
             // 編集前処理
@@ -111,10 +111,10 @@
             $this->lfDownRank($class_id);
             // 再表示
-            SC_Response::reload();
+            SC_Response_Ex::reload();
             break;
         case 'up':
             $this->lfUpRank($class_id);
             // 再表示
-            SC_Response::reload();
+            SC_Response_Ex::reload();
             break;
         default:
Index: /branches/version-2_5-dev/data/class/pages/admin/total/LC_Page_Admin_Total.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/total/LC_Page_Admin_Total.php	(revision 20428)
+++ /branches/version-2_5-dev/data/class/pages/admin/total/LC_Page_Admin_Total.php	(revision 20484)
@@ -662,5 +662,5 @@
         }
 
-        $dbFactory = SC_DB_DBFactory::getInstance();
+        $dbFactory = SC_DB_DBFactory_Ex::getInstance();
         // todo postgres
         $col = $dbFactory->getOrderTotalDaysWhereSql($type);
Index: /branches/version-2_5-dev/data/class/pages/admin/system/LC_Page_Admin_System_Rank.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/system/LC_Page_Admin_System_Rank.php	(revision 20345)
+++ /branches/version-2_5-dev/data/class/pages/admin/system/LC_Page_Admin_System_Rank.php	(revision 20484)
@@ -77,5 +77,5 @@
 
         // 正当な数値であればOK
-        if (SC_Utils::sfIsInt($_GET['id'])) {
+        if (SC_Utils_Ex::sfIsInt($_GET['id'])) {
             $arrClean['id'] = $_GET['id'];
 
@@ -96,5 +96,5 @@
         // エラー処理
         else {
-            GC_Utils::gfPrintLog("error id=".$_GET['id']);
+            GC_Utils_Ex::gfPrintLog("error id=".$_GET['id']);
         }
 
Index: /branches/version-2_5-dev/data/class/pages/admin/system/LC_Page_Admin_System_Plugin.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/system/LC_Page_Admin_System_Plugin.php	(revision 20345)
+++ /branches/version-2_5-dev/data/class/pages/admin/system/LC_Page_Admin_System_Plugin.php	(revision 20484)
@@ -245,5 +245,5 @@
 
                 // プラグイン保存ディレクトリへ解凍
-                SC_Helper_FileManager::unpackFile($plugin_dir . $plugin_file_name);
+                SC_Helper_FileManager_Ex::unpackFile($plugin_dir . $plugin_file_name);
 
                 // プラグイン情報をDB登録
Index: /branches/version-2_5-dev/data/class/pages/admin/system/LC_Page_Admin_System_Input.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/system/LC_Page_Admin_System_Input.php	(revision 20364)
+++ /branches/version-2_5-dev/data/class/pages/admin/system/LC_Page_Admin_System_Input.php	(revision 20484)
@@ -143,5 +143,5 @@
         
             // idが0より大きい数字で整数の場合
-            if (isset($_GET['id']) && SC_Utils::sfIsInt($_GET['id']) && $_GET['id'] > 0) {
+            if (isset($_GET['id']) && SC_Utils_Ex::sfIsInt($_GET['id']) && $_GET['id'] > 0) {
                 if ($this->memberDataExists('member_id = ? AND del_flg = 0', $_GET['id'])) {
                     $clean_id = $_GET['id'];
Index: /branches/version-2_5-dev/data/class/pages/admin/system/LC_Page_Admin_System_Log.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/system/LC_Page_Admin_System_Log.php	(revision 20345)
+++ /branches/version-2_5-dev/data/class/pages/admin/system/LC_Page_Admin_System_Log.php	(revision 20484)
@@ -76,5 +76,5 @@
         $objFormParam->setParam($_POST);
 
-        if (SC_Utils::sfIsInt($tmp = $objFormParam->getValue('line'))) {
+        if (SC_Utils_Ex::sfIsInt($tmp = $objFormParam->getValue('line'))) {
             $this->line_max = $tmp;
         }
Index: /branches/version-2_5-dev/data/class/pages/contact/LC_Page_Contact.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/contact/LC_Page_Contact.php	(revision 20481)
+++ /branches/version-2_5-dev/data/class/pages/contact/LC_Page_Contact.php	(revision 20484)
@@ -44,5 +44,5 @@
     function init() {
         parent::init();
-        if (SC_Display::detectDevice() == DEVICE_TYPE_MOBILE) {
+        if (SC_Display_Ex::detectDevice() == DEVICE_TYPE_MOBILE) {
             $this->tpl_title = 'お問い合わせ';
         } else {
Index: /branches/version-2_5-dev/data/class/pages/forgot/LC_Page_Forgot.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/forgot/LC_Page_Forgot.php	(revision 20344)
+++ /branches/version-2_5-dev/data/class/pages/forgot/LC_Page_Forgot.php	(revision 20484)
@@ -63,5 +63,5 @@
         $masterData = new SC_DB_MasterData_Ex();
         $this->arrReminder = $masterData->getMasterData("mtb_reminder");
-        $this->device_type = SC_Display::detectDevice();
+        $this->device_type = SC_Display_Ex::detectDevice();
         $this->httpCacheControl('nocache');
         // デフォルトログインアドレスロード
Index: /branches/version-2_5-dev/data/class/pages/entry/LC_Page_Entry_Kiyaku.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/entry/LC_Page_Entry_Kiyaku.php	(revision 20344)
+++ /branches/version-2_5-dev/data/class/pages/entry/LC_Page_Entry_Kiyaku.php	(revision 20484)
@@ -69,5 +69,5 @@
         $offset    = '';
         // mobile時はGETでページ指定
-        if ( SC_Display::detectDevice() == DEVICE_TYPE_MOBILE ){
+        if ( SC_Display_Ex::detectDevice() == DEVICE_TYPE_MOBILE ){
             $this->offset = $this->lfSetOffset($_GET['offset']);
         }
Index: /branches/version-2_5-dev/data/class/pages/entry/LC_Page_Entry.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/entry/LC_Page_Entry.php	(revision 20477)
+++ /branches/version-2_5-dev/data/class/pages/entry/LC_Page_Entry.php	(revision 20484)
@@ -184,5 +184,5 @@
         $arrResults["point"] = $CONF["welcome_point"];
 
-        if (SC_Display::detectDevice() == DEVICE_TYPE_MOBILE) {
+        if (SC_Display_Ex::detectDevice() == DEVICE_TYPE_MOBILE) {
             // 携帯メールアドレス
             $arrResults['email_mobile']     = $arrResults['email'];
@@ -255,5 +255,5 @@
     function lfCheckReferer(&$post, $referer){
 
-        if (SC_Display::detectDevice() !== DEVICE_TYPE_MOBILE
+        if (SC_Display_Ex::detectDevice() !== DEVICE_TYPE_MOBILE
             && empty($post)
             && (preg_match('/kiyaku.php/', basename($referer)) === 0)) {
Index: /branches/version-2_5-dev/data/class/pages/frontparts/LC_Page_FrontParts_LoginCheck.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/frontparts/LC_Page_FrontParts_LoginCheck.php	(revision 20433)
+++ /branches/version-2_5-dev/data/class/pages/frontparts/LC_Page_FrontParts_LoginCheck.php	(revision 20484)
@@ -107,5 +107,5 @@
                 // ログイン判定
                 $loginFailFlag = false;
-                if(SC_Display::detectDevice() === DEVICE_TYPE_MOBILE) {
+                if(SC_Display_Ex::detectDevice() === DEVICE_TYPE_MOBILE) {
                     // モバイルサイト
                     if(!$objCustomer->getCustomerDataFromMobilePhoneIdPass($arrForm['login_pass']) &&
@@ -122,5 +122,5 @@
                 // ログイン処理
                 if ($loginFailFlag == false) {
-                    if(SC_Display::detectDevice() === DEVICE_TYPE_MOBILE) {
+                    if(SC_Display_Ex::detectDevice() === DEVICE_TYPE_MOBILE) {
                         // ログインが成功した場合は携帯端末IDを保存する。
                         $objCustomer->updateMobilePhoneId();
Index: /branches/version-2_5-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Category.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Category.php	(revision 20116)
+++ /branches/version-2_5-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Category.php	(revision 20484)
@@ -64,5 +64,5 @@
     function action() {
         // モバイル判定
-        switch ( SC_Display::detectDevice() ) {
+        switch ( SC_Display_Ex::detectDevice() ) {
             case DEVICE_TYPE_MOBILE:
                 // メインカテゴリーの取得
Index: /branches/version-2_5-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc.php	(revision 20344)
+++ /branches/version-2_5-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc.php	(revision 20484)
@@ -68,5 +68,5 @@
         $this->setTemplate($this->tpl_mainpage);
         $debug_message = "block：" . $this->tpl_mainpage . "\n";
-        GC_Utils::gfDebugLog($debug_message);
+        GC_Utils_Ex::gfDebugLog($debug_message);
     }
 }
Index: /branches/version-2_5-dev/data/class/pages/products/LC_Page_Products_List.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/products/LC_Page_Products_List.php	(revision 20463)
+++ /branches/version-2_5-dev/data/class/pages/products/LC_Page_Products_List.php	(revision 20484)
@@ -124,5 +124,5 @@
         $this->tpl_linemax = $this->lfGetProductAllNum($arrSearchCondition);
         $urlParam = "category_id={$this->arrSearchData['category_id']}&pageno=#page#";
-        $this->objNavi = new SC_PageNavi($this->tpl_pageno, $this->tpl_linemax, $this->disp_number, "fnNaviPage", NAVI_PMAX, $urlParam,SC_Display::detectDevice() !== DEVICE_TYPE_MOBILE);
+        $this->objNavi = new SC_PageNavi($this->tpl_pageno, $this->tpl_linemax, $this->disp_number, "fnNaviPage", NAVI_PMAX, $urlParam,SC_Display_Ex::detectDevice() !== DEVICE_TYPE_MOBILE);
         $this->arrProducts = $this->lfGetProductsList($arrSearchCondition,$this->disp_number,$this->objNavi->start_row,$this->tpl_linemax,$objProduct);
         //商品一覧の表示処理
@@ -177,5 +177,5 @@
 
         // ページャ用データ設定(モバイル)
-        if (SC_Display::detectDevice() == DEVICE_TYPE_MOBILE) {
+        if (SC_Display_Ex::detectDevice() == DEVICE_TYPE_MOBILE) {
             $this->tpl_previous_page = $this->objNavi->arrPagenavi['before'];
             $this->tpl_next_page =  $this->objNavi->arrPagenavi['next'];
Index: /branches/version-2_5-dev/data/class/pages/products/LC_Page_Products_Detail.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/products/LC_Page_Products_Detail.php	(revision 20463)
+++ /branches/version-2_5-dev/data/class/pages/products/LC_Page_Products_Detail.php	(revision 20484)
@@ -137,5 +137,5 @@
 
         // モバイル用 規格選択セレクトボックスの作成
-        if(SC_Display::detectDevice() == DEVICE_TYPE_MOBILE) {
+        if(SC_Display_Ex::detectDevice() == DEVICE_TYPE_MOBILE) {
             $this->lfMakeSelectMobile($this, $product_id,$this->objFormParam->getValue('classcategory_id1'));
         }
@@ -180,5 +180,5 @@
 
         // モバイル用 ポストバック処理
-        if(SC_Display::detectDevice() == DEVICE_TYPE_MOBILE) {
+        if(SC_Display_Ex::detectDevice() == DEVICE_TYPE_MOBILE) {
             switch($this->mode) {
                 case 'select':
Index: /branches/version-2_5-dev/data/class/SC_CustomerList.php
===================================================================
--- /branches/version-2_5-dev/data/class/SC_CustomerList.php	(revision 20281)
+++ /branches/version-2_5-dev/data/class/SC_CustomerList.php	(revision 20484)
@@ -35,5 +35,5 @@
 
         $objDb = new SC_Helper_DB_Ex();
-        $dbFactory = SC_DB_DBFactory::getInstance();
+        $dbFactory = SC_DB_DBFactory_Ex::getInstance();
 
         if($mode == "") {
